RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Raul::List< T >::Node Class Reference

A node in a List. More...

`#include <List.hpp>`

Inheritance diagram for Raul::List< T >::Node:
Collaboration diagram for Raul::List< T >::Node:

List of all members.

## Public Member Functions

| Node (T elem)
template<typename Y >
| Node (const typename List< Y >::Node &copy)
Node * | prev () const
void | prev (Node *ln)
Node * | next () const
void | next (Node *ln)
T & | elem ()
const T & | elem () const

## Detailed Description

### template<typename T>
class Raul::List< T >::Node

A node in a List.

This is exposed so the user can allocate Nodes in different thread than the list reader, and insert (e.g. via an Event) it later in the reader thread.

The documentation for this class was generated from the following file:

- List.hpp